* Get rid of any files from a previous run.

close databases all
erase northwind.dbc
erase customers.dbf
erase orders.dbf
erase customersupdates.xml
erase ordersupdates.xml

* Since we have fields longer than 10 characters in the tables, we'll need a
* DBC.

create database northwind


oConnMgr = newobject('SFConnectionMgrODBC', 'SFRemote')
with oConnMgr
	.cDriver   = 'SQL Server'
	.cServer   = '(local)'
	.cDatabase = 'Northwind'
	.cUserName = 'sa'
	.cPassword = 'dhennig'
endwith
if oConnMgr.Connect()
	loCustomers = newobject('CustomersCursor', 'NorthwindDataClasses')
	with loCustomers
		.DataSourceType = 'ODBC'
		.SetConnection(oConnMgr.GetConnection())
		if .GetData()
			copy to customers database northwind
			select 0
			use customers exclusive
			index on customerid tag customerid
			use
		else
			messagebox('Could not get the data. The error message was:' + ;
				chr(13) + chr(13) + .cErrorMessage)
		endif .GetData()
	endwith
	loOrders = newobject('OrdersCursor', 'NorthwindDataClasses')
	with loOrders
		.DataSourceType = 'ODBC'
		.SetConnection(oConnMgr.GetConnection())
		if .GetData()
			copy to orders database northwind
			select 0
			use orders exclusive
			index on customerid tag customerid
			use
		else
			messagebox('Could not get the data. The error message was:' + ;
				chr(13) + chr(13) + .cErrorMessage)
		endif .GetData()
	endwith
else
	messagebox(oConnMgr.cErrorMessage)
endif oConnMgr.Connect()
